# Honda Hackathon: Voice and OSD Integrated System

## Mock Car API

- `git clone ssh://git@git.webionite.com:4441/Firewalkers/MockCarAPI.git`
- `cd MockCarAPI`
- `echo "{}" > data.json`
- `pip install -r requirements.txt`
- `flask run`

## OSD

### OSD Backend

- `git clone ssh://git@git.webionite.com:4441/Firewalkers/OSD-Backend.git`
- `cd OSD-Backend`
- `pip install -r requirements.txt`
- Install a asyncio server. e.g. `pip install eventlet`
- `cp sample.config.py config.py`
- `python3 app.py`

### OSD Frontend

- `git clone ssh://git@git.webionite.com:4441/Firewalkers/OSD-Frontend.git`
- `cd OSD-Frontend`
- `yarn install`
- `cd src`
- `cp sample.config.js config.js`
- `yarn start`

## Voice Plugins

- Setup mycroft according to guides on [mycroft.ai](https://mycroft.ai)
- `git clone ssh://git@git.webionite.com:4441/Firewalkers/Voice-Plugins.git`
- Copy the plugins over to `/opt/mycroft/skills/`
- `pip install requests`
- Start mycroft according to the docs.


## Background Daemon

- `git clone ssh://git@git.webionite.com:4441/Firewalkers/Background-Daemon.git`
- `cd Background-Daemon`
- `cp sample.config.py config.py`
- `pip install -r requirements.txt`
- `python3 daemon.py`
